<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<html>
	<body>
<div id="Menu">
		<ui:include src="/HomeManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 <div class="col-lg-9" >
		
		 <div class="widget">
<div class="data-table-toolbar">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <form role="form">
                                            <input type="text" class="form-control" placeholder="Search..."/>
                                            </form>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="toolbar-btn-action">
                                            <h:form>
                                            <h:commandButton  value="Add new task" class="btn btn-success" action="#{taskBean.toogleDisplayForm()}"  ></h:commandButton>
                                              </h:form>
                                            </div>
                                        </div>
                                    </div>
                                </div>

<div class="center-block">
<div class="table-responsive">

<h:form>
<h:dataTable data-sortable="table table-hover table-striped" var="task" value="#{taskBean.tasks}" border="2">

            <h:column>
            <f:facet name="header">
            <h:outputText value="Name" />
            </f:facet>
            <h:outputText value="#{task.taskPk.name}" />
            </h:column>
                        
            <h:column>
            <f:facet name="header">
            <h:outputText value="Description" />
            </f:facet>
            <h:outputText value="#{task.description}" />
            </h:column>
            
            <h:column>
            <f:facet name="header">
            <h:outputText value="Date of beginning" />
            </f:facet>
            <h:outputText value="#{task.dateTaskBeginning}" />
            </h:column>
            
            <h:column>
            <f:facet name="header">
            <h:outputText value="End date" />
            </f:facet>
            <h:outputText value="#{task.dateEnd}" />
            </h:column>
            
            <h:column>
            <f:facet name="header">
            <h:outputText value="Status" />
            </f:facet>
            <h:outputText value="#{task.statusTask}" />
            </h:column>
            
            
            
</h:dataTable>

</h:form>

<h:form rendered="#{taskBean.showFormAdd}">
<h:panelGrid columns="2">
	<h:outputText value="Name" />
	<h:inputText id="nameValidator" value="#{taskBean.name}" required="true" requiredMessage="Name required"/>
	
	<h:outputText value="Description" />
	<h:inputTextarea id ="descriptionValidator" value="#{taskBean.description}" required="true" requiredMessage="Description required"/>
	
	<h:outputText value="Date Beginning (dd-MM-yyyy)" />
	<h:inputText value="#{taskBean.dateTaskBeginning}" required="true" >
		<f:convertDateTime pattern="d-M-yyyy" />
	</h:inputText>
	
	<h:outputText value="Employee" />
	<h:selectOneMenu id="employeeValidator" value="#{taskBean.idEmployee}" required="true" requiredMessage="Please select at least one employee">
		<f:selectItems value="#{taskBean.employees}" var="e" itemLabel="#{e.name}" itemValue="#{e.id}"/>
	</h:selectOneMenu>
	<h:message for="nameValidator" style="color:red"/>
	<h:message for="descriptionValidator" style="color:red"/>
	<h:message for="employeeValidator" style="color:red"/>
	<h:commandButton action="#{taskBean.doAddTask()}" value="ADD" />
	</h:panelGrid>
</h:form>
</div>
		  <br></br>
		  </div>
		  </div>
		</div>
		</div>
		</div>
		<ui:include src="Footer.xhtml" />
		</body>
		</html>
</ui:composition>